EZ_EntryEditBackward(3)

NAME
EZ_EntryEditBackward, EZ_EntryEditBackwardWord, EZ_EntryEditBeginOfInput, EZ_EntryEditDeleteChar, EZ_EntryEditEndOfInput, EZ_EntryEditForeward, EZ_EntryEditForwardWord, EZ_EntryEditInsertString, EZ_EntryEditKillEndOfLine, EZ_EntryEditKillRegion, EZ_EntryEditSetMarker, EZ_EntryPasteSelection - entry edting functions

SYNOPSIS
#include <EZ.h>

void EZ_EntryEditBackward( EZ_Widget *entry)
void EZ_EntryEditBackwardWord( EZ_Widget *entry)
void EZ_EntryEditBeginOfInput( EZ_Widget *entry)
void EZ_EntryEditDeleteChar( EZ_Widget *entry, int direction)
void EZ_EntryEditEndOfInput( EZ_Widget *entry)
void EZ_EntryEditForeward( EZ_Widget *entry)
void EZ_EntryEditForwardWord( EZ_Widget *entry)
void EZ_EntryEditInsertString ( EZ_Widget *entry, char *str)
void EZ_EntryEditKillEndOfLine( EZ_Widget *entry, int flag)
void EZ_EntryEditKillRegion( EZ_Widget *entry)
void EZ_EntryEditSetMarker( EZ_Widget *entry)
void EZ_EntryPasteSelection( EZ_Widget *entry)

ARGUMENTS
entry Specifies a entry widget.

direction Specifies 1 or -1. 1 for deleting forward and -1 for deleting backward.

str Specifies a string.

DESCRIPTION

These functions are the editing commands for entry widget.

SEE ALSO
EZ_SetEntryString(3), EZ_GetEntryString(3), EZ_OnOffSecretEntry(3)